Bacchus/Controllers/AuctionViewModelController.cs
using Bacchus.Models;
using Bacchus.ViewModels;
using System.Collections.Generic;
using System.Threading.Tasks;
using System.Web.Mvc;

namespace Bacchus.Controllers
{
    public class AuctionViewModelController : Controller
    {
        private IAuctionRepository repository = new AuctionRepository();

        public AuctionViewModelController(IAuctionRepository repo)
        {
            repository = repo;
        }
        // GET: AuctionViewModel
        public async Task<ActionResult> Index()
        {
            var model = new AuctionViewModel
            {
                Categories = await repository.GetCategoriesAsync(),
                Products = await repository.GetProductAsync()
            };
            return View(model);

        }
        // GET: AuctionViewModel filter
        public async Task<JsonResult> FilterCategory(string category)
        {
            if (category == null)
            {
                category = "";
            }
            var Products = await repository.GetProductByCategoryAsync(category);
            
            return Json(Products);
        }
        //GET: OffersViewModel
        public async Task<ActionResult> Offers()
        {            
            var model = repository.GetOffersAsync();
            return View(model);

        }
        public ActionResult Bid(string productId)
        {
            if (productId == null)
            {
                return HttpNotFound();
            }

            BidViewModel offer = new BidViewModel();
            offer.productId = productId;

            return View(offer);
        }
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Bid([Bind(Include = "FirstName,LastName,BiddingSum, productId")] BidViewModel offers)
        {
            if (ModelState.IsValid)
            {
                repository.Bid(offers);
                return RedirectToAction("Index");
            }

            return View(offers);
        }
    }
}

Bacchus/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Auction House", "Index", "AuctionViewModel", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("Offers", "Offers", "AuctionViewModel")</li>
            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>